%global pypi_name jsonschema
%global commitId f44effcec53ec8d24d8cfa7b338203e9a36f3d4e

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        4.9.1
Release:        1%{?dist}
Summary:        An implementation of JSON Schema validation for Python

License:        MIT
URL:            https://github.com/python-jsonschema/jsonschema
Source0:        python-jsonschema-f44effcec53ec8d24d8cfa7b338203e9a36f3d4e.tar.gz
# jsonschema switching to strictly pyobject.toml, this is the setup.cfg from 4.5.1
Source1:        001-SETUP-CFG

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 40.6.0
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml >= 3.4

%description
%{summary}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-attrs >= 17.4.0
Requires:       python%{python3_pkgversion}-pyrsistent >= 0.14.0

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# create a minimal setup.py, the rest will be done by setuptools
printf 'from setuptools import setup\nsetup(use_scm_version=True)' > setup.py
cp %{SOURCE1} setup.cfg

%build
set -ex
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

%install
set -ex
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license COPYING json/LICENSE
%doc json/README.md README.rst
%exclude %{_bindir}/jsonschema
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Sep 23 2022 Satoe Imaishi <simaishi@redhat.com> - 4.9.1-1
- Update to 4.9.1

* Fri Jul 01 2022 Satoe Imaishi <simaishi@redhat.com> - 4.5.1-1
- Update to 4.5.1

* Mon Mar 21 2022 Satoe Imaishi - 3.2.0-1
- Build with python39
